require "psprint.lc"

green = Color.new(0, 255, 0)
blue = Color.new(0, 100, 255)
red = Color.new(255, 0, 0)
white = Color.new(255, 255, 255)
black = Color.new(0, 0, 0)

char_x = 0
char_y = 0

function printKey(mychar)
	if mychar == 8 then
		screen:print(char_x,char_y,"@",black)
		screen.flip()
		screen:print(char_x,char_y,"@",black)
		screen.flip()		char_x = char_x - 8
		if char_x < 8 then
			char_x = 8
			char_y = char_y - 10
			if char_y < 10 then
				char_y = 10
			end
		end
	elseif mychar == 13 then
		char_y = char_y + 10
		char_x = 8
	else
		char_x = char_x + 8
		if char_x > 400 then
			char_x = 8
			char_y = char_y + 10
		end
		screen:print(char_x,char_y,mychar,green)
		screen.flip()
		screen:print(char_x,char_y,mychar,green)
		screen.flip()
	end

end

function printAt(l_x,l_y,mychar,l_color)
	if mychar == nil then mychar = 0 end
	screen:print(l_x,l_y,mychar,l_color)
	screen.flip()
	screen:print(l_x,l_y,mychar,l_color)
	screen.flip()
end
function clearScreen()
	screen:clear(black)
	screen.flip()
	screen:clear(black)
	printAt(25,10," char:",white)
	printAt(25,20," code:",white)
	printAt(25,30," name:",white)
	printAt(25,40,"group:",green)
	printAt(25,50," mods:",blue)
end

screen:clear(black)
screen.flip()
screen:clear(black)

printAt(40,40,"begin testing",green)

while true do
	clear_flag = 0
	pad = Controls.read()
	t_key = Psprint:readKeyEx(pad:buttons())	

	if (t_key.keycode == 27) and (t_key.keygroup == 0) then
		break
	end

	if (t_key.keyid > 0) then
		clearScreen()
		printAt(75,10,t_key.keychar,white)
		printAt(75,20,t_key.keycode,white)
		printAt(75,30,t_key.keyname,white)
		printAt(75,40,t_key.keygroup,green)
		printAt(75,50,t_key.modifiers,blue)
	end
	screen.waitVblankStart()
end

